Effectuer la mise à jour de Soosyze alpha-9 à la version bêta-1

Étape 1 : réaliser une sauvegarde de votre site.

Pour les utilisateurs qui ne possèdent qu’un accès FTP

Si votre site est en ligne ou que vous n’avez pas d’accès SSH, rapatriez ses sources en local est faites les opérations suivantes :

  • Étape 2 : Télécharger la nouvelle version de soosyze,
  • Étape 3 : Désarchiver le contenu à la racine du répertoire contenant le code source du CMS,
  • Étape 4 : Accepter que les fichiers remplacent les répertoires et fichiers actuels,
  • Étape 5 : Ouvrir un terminal de commande :
    • Pour windows 7 : Maj + clic droit,
    • Pour window 10 : clic droit et ouvrir power Schell,
    • Pour ubuntu : clic droit et ouvrir un terminal.
  • Étape 6 : S’assurer que l'exécutable php.exe est dans votre PATH

  • Étape 7 : Lancer la commande suivante : php cron.php

Pour les utilisateurs qui possèdent un accès SSH

Étape 2 : Assurez-vous d’avoir installé Composer ou installé le :

$ sudo apt-get update
$ sudo apt-get install composer

Étape 3 : Rendez-vous à la racine du répertoire contenant votre site et lancer les commandes suivantes :

$ sudo composer update –no-dev
$ sudo php cron.php

Mettre à jour les modules

  • Télécharger la nouvelle version des modules compatibles avec la version beta1,
  • Rendez-vous dans le répertoire de vos modules contributeurs (app/modules),
  • Désarchiver le contenu du module,
  • Accepter que les fichiers remplacent les répertoires et fichiers actuels

Mettre à jour votre mot de passe

Si vous avez mise à jour votre site depuis une version alpha9, votre mot de passe à changé automatiquement par Soosyze2020& Vous devez impérativement le changer à la première connexion.

Pour finir

Certaines parties de la migration ne peuvent pas être réglées automatiquement.

Par exemple le module news possède un nouveau champ pour les images. Si vous utilisez une image dans le résumé de votre article, pensez à utiliser le nouveau champ.

Vous rencontrez des problèmes ?

Pour tout problème concernant la migration de la version alpha-9 à la version beta-1, nous répondrons à vos questions uniquement sur le forum.

Vous pouvez régir sous ce post, ou en créer un spécifiquement pour votre besoin.